import {
	observer
} from 'mobx-react';
import {
	Row,
	Col
} from 'antd';

@observer
export default class BriefInfo extends React.Component {
	constructor(props) {
		super(props);
	}

	render() {
		const {
			store
		} = this.props, {
			briefInfo
		} = store;

		return (
			<div className='brief'>
				{
					briefInfo.map((data, index) => {
						const {
							label,
							value
						} = data;

						return (
							<Row ecId={`${this && this.props && this.props.ecId || ''}_Row@w4lhjo@${index}`} className='row'>
								<Col ecId={`${this && this.props && this.props.ecId || ''}_Col@2lt88y@${index}`} span={6}>{`${label} :`}</Col>
								<Col ecId={`${this && this.props && this.props.ecId || ''}_Col@i2g4o5@${index}`} span={18} className='value hrm-over-flow' title={value}><span dangerouslySetInnerHTML={{__html: value}}></span></Col>
							</Row>
						)
					})
				}
			</div>
		);
	}
}